3 years, 1 month ago.

nrf52 library

Within the mbed on-line compiler system I see that I can select the nrf52-DK board. However, I see no library to import for it. Very simple sketches such as blinky compile and run OK. However, if I try to compile something like a BLE UART sketch this fails with obscure errors, presumably because of using the nrf51822 library which is not intended for this newer board. Any news on mbed support for the nrf52-DK?

Hi Paul,

Im confused, there is support for the mbed nrf52-dk shown here https://developer.mbed.org/platforms/Nordic-nRF52-DK/

Here are all the examples, and BLE examples working for the NRF52 using mbed OS 5, what errors are you receiving? Let me know all these details please, then i can help?

Regards,

Andrea, team mbed

posted by Andrea Corrado 08 Nov 2016
Be the first to answer this question.